Package org.kie.api.runtime.query

## Class QueryContext

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `AdvancedQueryContext`

      public class QueryContext
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Boolean` | `ascending` |
    `protected Integer` | `count` |
    `protected Integer` | `offset` |
    `protected String` | `orderBy` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryContext()` |
    `QueryContext​(Integer offset, Integer count)` |
    `QueryContext​(Integer offset, Integer count, String orderBy, boolean asc)` |
    `QueryContext​(String orderBy, boolean asc)` |
    `QueryContext​(QueryContext queryContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `Integer` | `getCount()` |
    `Integer` | `getOffset()` |
    `String` | `getOrderBy()` |
    `Boolean` | `isAscending()` |
    `void` | `setAscending​(Boolean ascending)` |
    `void` | `setCount​(Integer count)` |
    `void` | `setOffset​(Integer offset)` |
    `void` | `setOrderBy​(String orderBy)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected Integer offset

    - #### count

          protected Integer count

    - #### orderBy

          protected String orderBy

    - #### ascending

          protected Boolean ascending

  - ### Constructor Detail

    - #### QueryContext

          public QueryContext()

    - #### QueryContext

          public QueryContext​(QueryContext queryContext)

    - #### QueryContext

          public QueryContext​(Integer offset,
                              Integer count)

    - #### QueryContext

          public QueryContext​(String orderBy,
                              boolean asc)

    - #### QueryContext

          public QueryContext​(Integer offset,
                              Integer count,
                              String orderBy,
                              boolean asc)

  - ### Method Detail

    - #### getOffset

          public Integer getOffset()

    - #### setOffset

          public void setOffset​(Integer offset)

    - #### getCount

          public Integer getCount()

    - #### setCount

          public void setCount​(Integer count)

    - #### getOrderBy

          public String getOrderBy()

    - #### setOrderBy

          public void setOrderBy​(String orderBy)

    - #### isAscending

          public Boolean isAscending()

    - #### setAscending

          public void setAscending​(Boolean ascending)

    - #### clear

          public void clear()